/* featured-posts.css */
.featured-posts {
    grid-column: 1 / 5;
    /* Span all four columns */
    grid-row: 3 / 4;
    /* Take one row only */
}

.featured-posts-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    /* Changed from 2 to 4 columns */
    grid-gap: 15px;
    margin-bottom: 20px;
}

.featured-post {
    display: flex;
    flex-direction: column;
    background-color: rgba(244, 242, 239, 0.7);
    border-radius: 15px;
    overflow: hidden;
    transition: transform 0.3s, box-shadow 0.3s;
    height: 100%;
}

.featured-post:hover {
    transform: translateY(-3px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}

.featured-post-img {
    width: 100%;
    aspect-ratio: 16 / 9;
    /* Set a fixed aspect ratio */
    object-fit: cover;
    object-position: center;
    /* Centers the focus point */
}

.featured-post-details {
    padding: 15px;
    padding-bottom:0 ;
    flex: 1;
    display: flex;
    flex-direction: column;
}

.featured-post-title {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 8px;
    color: #3b342d;
}

.featured-post-date {
    font-size: 14px;
    color: #3b342d;
    font-style: italic;
    margin-bottom: 10px;
}

.featured-post-excerpt {
    font-size: 16px;    
    color: #3b342d;    
    line-height: 1.4;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;    
}

.featured-posts .view-all-btn {
    display: block;
    text-align: center;
    background-color: #6a5a4a;
    color: #fff;
    text-decoration: none;
    padding: 12px;
    border-radius: 30px;
    font-weight: 500;
    font-size: 16px;
    transition: background-color 0.3s;
    margin-top: 20px;    
}

.featured-posts .view-all-btn:hover {
    background-color: #5a4c3e;
}

.featured-read-more {
    align-self: flex-end;
    background-color: #6a5a4a;
    color: #fff;
    border: none;
    padding: 8px 20px;
    margin-bottom: 15px;
    margin-right: 15px;
    border-radius: 30px;
    cursor: pointer;
    font-family: "Kreon", serif;
    font-weight: 500;
    font-size: 18px;
    transition: background-color 0.3s, transform 0.3s;
}

.featured-read-more:hover {
    background-color: #5a4c3e;
    transform: translateY(-2px);
}